.splash {
    z-index: 2;
    position: fixed;

    &__page {
        left: 0;
        top: 0;
        width: 100vw;
        height: 100vh;
        position: absolute;

        &--default {
            background-color: $vista-white;
        }

        &--purple {
            background-color: $link-water;
        }

        &--pink {
            background-color: $melanie;
        }

        &--blue {
            background-color: $anakiwa;
        }

        &--green {
            background-color: $mint-tulip;
        }

        &--troll {
            @extend .flex,
                    .flex--middle;
        }
    }
}